# OAuth2 Authorization Code Flow Example with Jetty

Este proyecto es un ejemplo de cómo implementar el flujo de autorización OAuth2 utilizando un servidor Jetty embebido en Java. El proyecto utiliza la biblioteca Nimbus OAuth2 SDK para manejar las solicitudes de autorización y token.

## Requisitos

- Java 11 o superior
- Gradle

## Configuración del Proyecto

### Dependencias

El proyecto utiliza las siguientes dependencias:

- Jetty Server y Servlet: Para el servidor HTTP embebido.
- Nimbus OAuth2 SDK: Para manejar el flujo de autorización OAuth2.
- Jakarta Servlet API: Para las clases de servlet.

Asegúrate de que tu archivo `build.gradle` incluya las siguientes dependencias:

```groovy
plugins {
    id 'java'
}

repositories {
    mavenCentral()
}

dependencies {
    implementation 'com.nimbusds:oauth2-oidc-sdk:10.6'
    implementation 'com.nimbusds:nimbus-jose-jwt:9.31'
    implementation 'org.eclipse.jetty:jetty-server:11.0.15'
    implementation 'org.eclipse.jetty:jetty-servlet:11.0.15'
    implementation 'jakarta.servlet:jakarta.servlet-api:5.0.0'
}
